/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.modules.app.entity.UserEntity;
import io.renren.modules.app.form.LoginForm;

/**
 * 用户
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface UserService extends IService<UserEntity> {

	UserEntity queryByUsername(String username);

	/**
	 * 用户登录
	 * @param form    登录表单
	 * @return        返回用户ID
	 */
	long login(LoginForm form);

	/**
	 * 用户注册
	 * @param user
	 */
	public void saveUser(UserEntity user);

	/**
	 * 根据用户id 获取订单信息
	 * @param memberId
	 */
	List<Map<String, Object>> queryOrderList(Long memberId);

	/**
	 * 
	 */
	Map<String, Object> queryOrderInfoByAttendersId(Long attendersId);
}
